Subject: Re: bug#65130: Request for merging "elogind-updates" branch

From: 宋文武 <[email-masked]>
Date: Mon, 14 Aug 2023 17:49:56 +0800

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> 宋文武 <[email-masked]> writes:
>
>> Maxim Cournoyer <[email-masked]> writes:
>>
>>> Hi,
>>>
>>> I think this branch is ready to go.  I've tested a Guix System using it
>>> on a x200 and it behaves correctly.
>>
>> Hello, we currently have 3 request for merging (rust-team,
>> elogind-updates, kde-updates) now, should we do the merge in order by:
>>
>> 1. merge master into rust-team (if needed), wait it build, merge
>>    rust-team into master.
>> 2. merge master into elogind-updates, then wait it build on CI, merge
>>    elogind-updates into master.
>> 3. merge master into kde-updates, then wait it build on CI, merge
>>    kde-updates into master.
>>    
>> Or merge both rust-team, elogind-updates and master into kde-updates,
>> and merge it once into master?  Give changes in those 3 are isolated but
>> require rebuilding a lot, I think to merge them into master once can
>> save a little work for us and CI.
>
> Since rust-team is already mostly built at this point, I'd merge it
> as-is.
>
> I think we should keep the branch separated to preserve as much insights
> into new failures as we can from the QA tooling.

Okay, then I'll wait rust-team and elogind-updates to be merged first.

Thanks.